Bug 1692431

Summary: subunit: Remove (sub)packages from Fedora 31+: python2-subunit-test
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: subunitAssignee: Jerry James <loganjerry>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: apevec, cstratak, i.gnatenko.brain, loganjerry, mhroncok, ngompa13, pviktori, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: subunit-1.3.0-9.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-03-31 00:03:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Miro Hrončok 2019-03-25 15:26:46 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of subunit were marked for removal:

 * python2-subunit-test

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 31).

You may do it for Fedora 30 as well before the Final Freeze, but please check if there are no dependent packages.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Fedora Update System 2019-03-28 02:38:03 UTC
subunit-1.3.0-9.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-613edc58f4

Comment 2 Fedora Update System 2019-03-28 02:38:11 UTC
subunit-1.3.0-9.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-613edc58f4

Comment 3 Fedora Update System 2019-03-29 00:12:25 UTC
subunit-1.3.0-9.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-613edc58f4

Comment 4 Fedora Update System 2019-03-31 00:03:22 UTC
subunit-1.3.0-9.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.